<section class="filter-wrapper" (clickOutside)="show = false" *ngIf="log">
    <div class="keyword-wrapper">
        <input [formControl]="queryField" type="text" id="keyword" placeholder="search for players..." (click)="show = true" autofocus/>
    </div>
    <ul class="filter-select" *ngIf="show">
        <li *ngFor="let result of results" (click)="displayPlayers(result)">
            <p>{{result.pseudo}}</p>
        </li>
    </ul>
</section>


<section *ngIf="log">
    <h1>{{currentAmi.pseudo}}</h1>
    <div class="btn btn-primary" (click)="addfriend()">
        <h6>Send a friend request</h6>
    </div>
</section>

<div class="liste" *ngIf="log">
    <h1>Your friend list</h1>
    <div class="container py-3" *ngIf="amis!=null">
        <div *ngFor="let ami of amis; let i=index">
            <h4>{{ami.pseudo}}</h4>
            <div class="btn btn-primary" (click)="refuser(ami, i)">
                <h6>Effacer</h6>
            </div>
            <div class="btn btn-primary" (click)="challenge(ami.pseudo)">
                <h6>Défier</h6>
            </div>
        </div>
    </div>
</div>

<div class="liste" *ngIf="log">
    <h1>Friend Requests</h1>
    <div class="container py-3" *ngIf="requests!=null">
        <div *ngFor="let req of requests; let i=index">
            <h4>{{req.pseudo}}</h4>
            <div class="btn btn-primary" (click)="accepter(req, i)">
                <h6>Accepter</h6>
            </div>
            <div class="btn btn-primary" (click)="refuser(req,i)">
                <h6>Refuser</h6>
            </div>
        </div>
    </div>
</div>

<div class="alert alert-warning alert-dismissible fade show" role="alert" *ngIf="!log">
    You need to <strong>create an account</strong> to use this feature.
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
     <span aria-hidden="true">&times;</span>
   </button>
</div>